#!/bin/sh
if [ "${JAVA_HOME}" = "" ]
then
	echo "Warning: Could not locate JRE. Please set JAVA_HOME to the directory of your local JDK if the application does not start!"
	JAVA=java
else
	JAVA=${JAVA_HOME}/bin/java
fi

### setup MOZILLA_FIVE_HOME point to XULRUNNER dir for instance:
MOZILLA_FIVE_HOME=/usr/bin/xulrunner
export MOZILLA_FIVE_HOME

if [ "${MOZILLA_FIVE_HOME}" = "" ]
then
	echo "Error: Could not locate MOZILLA_FIVE_HOME. Please set MOZILLA_FIVE_HOME to the directory of xulrunner!"
else
	PKB_CLASSPATH=.:pkb.jar:lib/swt-3.5-gtk-linux-x86.jar:lib/derby.jar:lib/lucene-3.0.0.jar:lib/pkb_util.jar:lib/jface3.5.1.jar
	${JAVA} -Djava.library.path=.:./lib -cp ${PKB_CLASSPATH} org.sf.pkb.gui.PKBMain
fi
